Skip to main content
PATCH
Use this endpoint to modify the settlement configuration for a particular transfer_id.
  • Set on_hold to true to put the settlement on hold. When a settlement is on hold, the funds are not settled to the Linked Account even after the settlement schedule is complete.
  • Set on_hold to false to release the settlement.
  • Use on_hold_until to specify the time until which the settlement must remain on hold. If no value is passed, the settlement is put on hold indefinitely.

Path Parameters

string
required
Unique identifier of the transfer for which the settlement configuration should be modified.

Request Parameters

boolean
required
Indicates whether the account settlement for the transfer is on hold. Possible values:
  • true: Puts the settlement on hold.
  • false: Releases the settlement.
integer
Timestamp, in Unix format, indicates until when the settlement of the transfer must be put on hold. If no value is passed, the settlement is put on hold indefinitely. The settlement is processed on the next working day after the hold expires.

Response Parameters

string
Unique identifier of the transfer.
string
The name of the entity. Here, it is transfer.
string
The status of the transfer. Possible values are:
  • created
  • pending
  • processed
  • failed
  • reversed
  • partially_reversed
string
The status of the settlement. Possible values are:
  • pending
  • on_hold
  • settled
string
Unique identifier of the transfer source. The source can be a payment or an order.
string
Unique identifier of the transfer destination, that is, the Linked Account.
integer
The amount to be transferred to the Linked Account, in sen. For example, for an amount of RM200.35, the value of this field should be 20035.
string
ISO currency code. We support route transfers only in MYR.
integer
Amount reversed from this transfer for refunds.
json object
Set of key-value pairs that can be associated with an entity. These pairs can be useful for storing additional information about the entity. A maximum of 15 key-value pairs, each of 256 characters (maximum), are supported.
array
List of keys from the notes object which needs to be shown to Linked Accounts on their Dashboard. For example, "region", "city". Only the keys will be shown, not values.
boolean
Indicates whether the account settlement for transfer is on hold. Possible values:
  • true: Puts the settlement on hold.
  • false: Releases the settlement.
integer
Timestamp, in Unix format, indicates until when the settlement of the transfer must be put on hold. If no value is passed, the settlement is put on hold indefinitely.
string
Unique identifier of the settlement.
integer
Timestamp, in Unix, at which the record was created.
object
Provides error details that may occur during the transfer.

Errors

Code: 4xxThis error occurs when there is a mismatch between the API credentials passed in the API call and the API credentials generated on the Dashboard.Solution: Make sure the API Keys are active and entered correctly. Also, there should not be any whitespaces before or after the keys.
Code: 400This error occurs when you pass an invalid transfer_id in the API endpoint.Solution: Make sure to pass a valid transfer_id.